
D4Science Infrastructure - Incident #103

statistical manager and new workers issue

May 14, 2015 07:35 PM - Roberto Cirillo

Status: Closed Start date: May 14, 2015

Priority: Urgent Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Computational Infrastructure upgrade to

smartgears 

  

Infrastructure: Production   

Description

The new worker seems able to start more than one computation and this cause errors in accessing the statistical manager database

History

#1 - May 15, 2015 02:21 PM - Pasquale Pagano

- Target version set to Computational Infrastructure upgrade to smartgears 

please put in progress this incidente and report the solution identified.

#2 - May 15, 2015 02:32 PM - Gianpaolo Coro

Two nested problems caused this issue:

1 - the storage manager destroyed one previously created smp link for a file in a folder at each upload/overwrite

2 - the ecological-engine-smart-executor library uploaded computation files in the same folder for each computation

The two issues above caused conflicts when two computations where simultaneously started from two different machines.

Modifications were added both in the storage manager libraries and in the ecological-engine-smart-executor library to manage the issue.

They have been released in gcube 3.7 and are under deployment.

#3 - May 15, 2015 02:32 PM - Gianpaolo Coro

- % Done changed from 0 to 80

#4 - May 15, 2015 05:03 PM - Gianpaolo Coro

- % Done changed from 80 to 100

The modifications have been deployed and tested with heterogeneous experiments on the Statistical Managers in production. They work.

#5 - May 15, 2015 05:06 PM - Gianpaolo Coro

- % Done changed from 100 to 90

#6 - May 15, 2015 05:06 PM - Gianpaolo Coro

- % Done changed from 90 to 100

#7 - May 15, 2015 05:10 PM - Gianpaolo Coro

- Status changed from New to In Progress

#8 - May 15, 2015 05:11 PM - Gianpaolo Coro

- Status changed from In Progress to Closed
